#!/usr/bin/astra

log.set({ stdout = false, debug = false, syslog = "astra", })

mx7plp0 = make_t2mi_decap({
        name = "MX7 T2-MI PLP0",
        input = "http://127.0.0.1:8001/1:0:1:320:35:55:300000:0:0:0:",
        plp = 0,
        pnr = 0,
        pid = 4096,
})

make_channel({                                                         
        name = "mx7plp0", input = { "t2mi://mx7plp0", },
        output = { "http://127.0.0.1:9999/rrt/mx7plp0", },
})

make_channel({
    name = "Test 1",
    input = {
        "t2mi://mx7plp0#pnr=1"
    },
    output = {
        "http://127.0.0.1:9999/rrt/1"
    }
})

make_channel({
    name = "Test 2",
    input = {
        "t2mi://mx7plp0#pnr=2"
    },
    output = {
        "http://127.0.0.1:9999/rrt/2"
    }
})

make_channel({
    name = "Test 3",
    input = {
        "t2mi://mx7plp0#pnr=3"
    },
    output = {
        "http://127.0.0.1:9999/rrt/3"
    }
})

make_channel({
    name = "Test 4",
    input = {
        "t2mi://mx7plp0#pnr=4"
    },
    output = {
        "http://127.0.0.1:9999/rrt/4"
    }
})

make_channel({
    name = "Test 5",
    input = {
        "t2mi://mx7plp0#pnr=5"
    },
    output = {
        "http://127.0.0.1:9999/rrt/5"
    }
})

make_channel({
    name = "Test 6",
    input = {
        "t2mi://mx7plp0#pnr=6"
    },
    output = {
        "http://127.0.0.1:9999/rrt/6"
    }
})

make_channel({
    name = "Test 7",
    input = {
        "t2mi://mx7plp0#pnr=7"
    },
    output = {
        "http://127.0.0.1:9999/rrt/7"
    }
})

make_channel({
    name = "Test 8",
    input = {
        "t2mi://mx7plp0#pnr=8"
    },
    output = {
        "http://127.0.0.1:9999/rrt/8"
    }
})

make_channel({
    name = "Test 9",
    input = {
        "t2mi://mx7plp0#pnr=9"
    },
    output = {
        "http://127.0.0.1:9999/rrt/9"
    }
})

make_channel({
    name = "Test 10",
    input = {
        "t2mi://mx7plp0#pnr=10"
    },
    output = {
        "http://127.0.0.1:9999/rrt/10"
    }
})

make_channel({
    name = "Test 11",
    input = {
        "t2mi://mx7plp0#pnr=11"
    },
    output = {
        "http://127.0.0.1:9999/rrt/11"
    }
})

make_channel({
    name = "Test 12",
    input = {
        "t2mi://mx7plp0#pnr=12"
    },
    output = {
        "http://127.0.0.1:9999/rrt/12"
    }
})
